<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcCommandInput Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcCommandInput.html">iPcCommandInput</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a10455cb15dd2925bb181019348789668">Activate</a>(bool activate=true)=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#aee8718df1f1f1f0f8275f1169c1bf3fb">Bind</a>(const char *triggername, const char *command)=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a5cf4e27b34bff47c64755eca16f981ee">CenteredToScreen</a>(float centeredcoord, float axis=0)=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a08a39541961394f4d2bd78b74b458569">DisableJoystickEvents</a>()=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a23f84107de1912fefdf6b3872e824561">DisableKeyboardEvents</a>()=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a529f3acd97e9dabd5ad2ff1894476794">DisableMouseEvents</a>()=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a28abb5abba1ccce530540cb4e8056ea6">EnableJoystickEvents</a>()=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a0d26d82194a6b22f6d8501e4bca4b81b">EnableKeyboardEvents</a>()=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#ac5da33daa01a96427890f47328197cbd">EnableMouseEvents</a>()=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a2baa7df6e7cf5d936024fd98ea6bc9e6">GetBind</a>(const char *triggername) const =0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a1467dbf47394bc873e1308f76a1d6e68">GetCookedMode</a>() const =0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a00f03e40f31ae1454801a5c554e26c42">IsSendTriggerEnabled</a>() const =0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#ac8f1c49d631b6ae05d2b1905457360b8">LoadConfig</a>(const char *prefix)=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#aeac12bb61088c945c3da288a8b6b77b8">RemoveAllBinds</a>()=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a8a7b076a802ce4f4d4c62723f67a3a00">RemoveBind</a>(const char *triggername, const char *command)=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a85859c7191ca2b7a0b0b150791533290">SaveConfig</a>(const char *prefix)=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#aaf5ba714f8082294c28ea9621fb5d34e">ScreenCoordinates</a>(bool screen=true)=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a3beb5793d0086d6cb141013a38882405">ScreenToCentered</a>(float screencoord, float axis=0)=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#aac16ee5acf3f980493e598fc5961aec3">SetCookedMode</a>(bool cooked)=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCommandInput.html#a7d55029174ae48c5a2e894a20b13f2ce">SetSendTrigger</a>(bool send)=0</td><td><a class="el" href="structiPcCommandInput.html">iPcCommandInput</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
